// February 7, 2013
// This code works with file TVoutBeta1.zip dated December 2010 from http://code.google.com/p/arduino-tvout/  
// and instructions here http://playground.arduino.cc/Main/TVout 
// I tested with OSEPP UNO R3 Plus board http://osepp.com/products/arduino-compatible-boards/uno-r3-plus/  I purchased at Fry's Electronics
// Sync on Pin 9, Video on Pin 7, Ground Black Wire to ground post.  Audio out on Pin 11.
// Code from here http://code.google.com/p/arduino-tvout/
//  I used http://PuppyLinux.org for my Operating system Version 5.2.8 Lucid Puppy.  Newer Precise Puppy should work too.
//  I downloaded and installed Java 7 from http://www.java.com 
//  specifically the non-RPM version here  http://www.java.com/en/download/manual.jsp?locale=en#lin 
//  Then I installed the Arduino Software from here http://arduino.cc/en/Main/Software  Version 1.0.3  a newer version  is 1.5.x for the new Duo Arduino board.

//  http://www.youtube.com/watch?v=LMu7EASMfUY  TVout Library setup with Arduino Sketch software.
// Added TV.tone software call but no hardware to test.  http://www.youtube.com/watch?v=ntzrp868cKY
// Arduino pin 11 drives a resistor divider (1k top, 470 bottom) that feeds a 0.1uF decoupling capacitor (removes DC component of signal)﻿ into the audio output jack.
// More info and source code here: http://www.wayneandlayne.com/projects...
//   http://www.wayneandlayne.com/projects/video-game-shield/  
//   http://www.wayneandlayne.com/files/vgs/downloads/video_game_shield-schematic-v1.15.svg  see for Audio out Pin 11 schematic


#include <TVout.h>
#include <video_gen.h>
#include <fontALL.h>

TVout TV;
 
// Pin 13 has an LED connected on most Arduino boards.
// give it a name:
int led = 13;

// the setup routine runs once when you press reset:

void setup()  {
  TV.begin(_NTSC);
  TV.select_font(font6x8);
    // initialize the digital pin as an output for blinking the LED.
  pinMode(led, OUTPUT); 
}

// the loop routine runs over and over again forever:
void loop ()
{
  digitalWrite(led, HIGH);   // turn the LED on (HIGH is the voltage level)

  TV.clear_screen ();
  TV.print( 30, 40, "TVout FTW!!!" );  //TVout software for the World!
  TV.delay (60);
  TV.tone(480,500);         // Play a 480 tone for half second
  delay(500);               // wait for a half second
  TV.print (30, 60, "Wait one Second" );
  digitalWrite(led, LOW);    // turn the LED off by making the voltage LOW
  TV.tone(440,500);         // Play a 480 tone for half second
  delay(500);
  TV.draw_rect(20,20,105,56,WHITE); //draw a white rectangle
  delay(1500);               // wait for two seconds
}

